Subject: Re: [PATCH v2 1/3] doc: interpret-trailers: don’t use heredoc in examples

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Apr 2023 13:16:14 -0700

> @@ -357,15 +356,14 @@ Fix #42
>  $ cat ~/bin/glog-find-author
>  #!/bin/sh
>  test -n "$1" && git log --author="$1" --pretty="%an <%ae>" -1 || true
> +$ cat msg.txt
> +subject
> +
> +message

When I suggested to use "cat" to show contents, instead of
pretending an interactive session, I didn't check if we already had
examples, but it looks like we did, which is great.

> +$ cat msg.txt | git interpret-trailers --trailer="help:Junio" --trailer="help:Couder"

Do not "cat" a single file and pipe into another command.  It will
always be equivalent to redirecting that file into the command on
the downstream, i.e.

   $ git interpret-trailers --options <mst.txt

> +$ sed --in-place -e 's/ Z$/ /' commit_template.txt

Avoid "--in-place"; not everybody's "sed" has it.

Other than that, I didn't spot anything glaringly wrong.

Thanks for working on this series.